Device Authorization Request verifications
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve"
headers = {"cookie": "JSESSIONID="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"deviceCode": {
"deviceCode": "<string>",
"userCode": "<string>",
"expiration": "<string>",
"clientId": "<string>",
"approved": true,
"scope": [
"<string>"
],
"requestParameters": {}
},
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isDynamicallyRegistered": true,
"homeURI": "<string>",
"logoURI": "<string>",
"policyURI": "<string>",
"tosURI": "<string>",
"subjectType": "<string>",
"provisionedScopes": [
"<string>"
],
"contacts": [
"<string>"
],
"registeredAt": "<string>"
},
"status": "APPROVED",
"requestedScopes": [
{
"id": 123,
"value": "<string>",
"description": "<string>",
"icon": "<string>",
"defaultScope": false,
"restricted": false,
"structured": false,
"structuredParamDescription": "<string>",
"structuredValue": "<string>"
}
]
}{
"operationErrors": [
null
]
}Device Authorization Request verifications
Use this API to verify a user code generated by /devicecode.
POST
/
device
/
approve
Device Authorization Request verifications
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve"
headers = {"cookie": "JSESSIONID="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/device/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"deviceCode": {
"deviceCode": "<string>",
"userCode": "<string>",
"expiration": "<string>",
"clientId": "<string>",
"approved": true,
"scope": [
"<string>"
],
"requestParameters": {}
},
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isDynamicallyRegistered": true,
"homeURI": "<string>",
"logoURI": "<string>",
"policyURI": "<string>",
"tosURI": "<string>",
"subjectType": "<string>",
"provisionedScopes": [
"<string>"
],
"contacts": [
"<string>"
],
"registeredAt": "<string>"
},
"status": "APPROVED",
"requestedScopes": [
{
"id": 123,
"value": "<string>",
"description": "<string>",
"icon": "<string>",
"defaultScope": false,
"restricted": false,
"structured": false,
"structuredParamDescription": "<string>",
"structuredValue": "<string>"
}
]
}{
"operationErrors": [
null
]
}Authorizations
Query Parameters
The end-user verification code.

